Bug 1019347 - mod_security error log noise at startup
mod_security error log noise at startup
Product: Fedora
Classification: Fedora
Component: mod_security (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Athmane Madjoudj
BaseOS QE - Apps
Depends On:
  Show dependency treegraph
Reported: 2013-10-15 10:18 EDT by Joe Orton
Modified: 2016-12-20 07:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 07:42:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2013-10-15 10:18:00 EDT
Description of problem:
mod_security is spamming the error log with SIX lines of error log data at startup.  This is way too much.

[Tue Oct 15 15:12:12.187012 2013] [:notice] [pid 1974] ModSecurity for Apache/2.7.3 (http://www.modsecurity.org/) configured.
[Tue Oct 15 15:12:12.187021 2013] [:notice] [pid 1974] ModSecurity: APR compiled version="1.4.6"; loaded version="1.4.8"
[Tue Oct 15 15:12:12.187023 2013] [:warn] [pid 1974] ModSecurity: Loaded APR do not match with compiled!
[Tue Oct 15 15:12:12.187025 2013] [:notice] [pid 1974] ModSecurity: PCRE compiled version="8.32 "; loaded version="8.32 2012-11-30"
[Tue Oct 15 15:12:12.187026 2013] [:notice] [pid 1974] ModSecurity: LUA compiled version="Lua 5.1"
[Tue Oct 15 15:12:12.187038 2013] [:notice] [pid 1974] ModSecurity: LIBXML compiled version="2.9.1"

Version-Release number of selected component (if applicable):

At the very least the APR version mismatch should be ignored, there is a strict ABI guarantee in APR so there is no need to check the run-time version matches the compile-time version.
Comment 2 Daniel Kopeček 2014-01-16 07:39:46 EST
I think this is potentially useful information when something goes wrong or doesn't work as one expects. Anyway, I don't really have a strong opinion on whether to leave the messages there or get rid of them.

We can get rid of the warning but I don't think this BZ alone is worth creating an erratum.

However, if you think this BZ should be treated with higher severity, let me know. Otherwise I'll consider this as rhel-7.1 material.
Comment 6 Athmane Madjoudj 2016-02-05 08:45:52 EST
Hi Joe,

I guess we could remove [:warn] messages about APR version mismatch, however the notice messages are useful IMHO (only appear on the startup).
Comment 7 Joe Orton 2016-02-06 11:49:35 EST
Any time you have to diagnose a customer issue you likely have an sosreport with "rpm -qa", which is far better than spamming every single mod_security user's error_log with a small subset of the "rpm -qa" output.  Really this was just a simple cleanup I hoped for before we shipped mod_security, but that missed the boat; if you don't care just close this out.
Comment 8 Fedora End Of Life 2016-11-24 06:03:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 07:42:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.